Module java.desktop
Package javax.print.event

# Interface PrintServiceAttributeListener

public interface PrintServiceAttributeListener
Implementations of this listener interface are attached to a `PrintService` to monitor the status of the print service.

To monitor a particular job see `PrintJobListener` and `PrintJobAttributeListener`.

## Method Summary

Modifier and Type
Method
Description
`void`
`attributeUpdate(PrintServiceAttributeEvent psae)`
Called to notify a listener of an event in the print service.

## Method Details

### attributeUpdate

void attributeUpdate(PrintServiceAttributeEvent psae)
Called to notify a listener of an event in the print service. The service will call this method on an event notification thread. The client should not perform lengthy processing in this callback or subsequent event notifications may be blocked.

Parameters:
  `psae` - the event being notified